﻿using UnityEngine;
using System.Collections;

public class endPlatform : MonoBehaviour {

    public GameObject endSpotlight;
    bool moveToCenterNow = false;
    GameObject playerMove;

    void Start() {
        moveToCenterNow = false;
    }

    void OnTriggerEnter(Collider hit) {
        if (hit.collider.gameObject.tag == "Player") {
            print("level solved!");
            globalVars.lastSave = new Vector3(transform.position.x, transform.position.y + 4, transform.position.z);
            StopTimer();
            globalVars.controlsActive = false;
            moveToCenterNow = true;
            playerMove = hit.gameObject;

            StartCoroutine(endMessage());
            if (globalVars.firstRun) {
                globalVars.firstRun = false;
            }
            globalVars.nextLevel();
            print("next level: " + globalVars.currentLevel);
        }
    }

    void OnTriggerStay() {
        endSpotlight.light.enabled = true;
    }

    void Update() {
        if (globalVars.allowReplay && Input.GetKeyDown("return")) {
            Application.LoadLevel(globalVars.currentLevel);
        }
        if (moveToCenterNow) {
            moveToCenter(playerMove);
        }

    }

    void StopTimer() {
        globalVars.timerRun = false;
    }


    IEnumerator endMessage() {
        globalVars.GUImessage = "level solved";
        globalVars.allowReplay = true;
        yield return new WaitForSeconds(0.3f);
        globalVars.GUImessage = "level solved . ";
        yield return new WaitForSeconds(0.3f);
        globalVars.GUImessage = "level solved . .";
        yield return new WaitForSeconds(0.3f);
        globalVars.GUImessage = "level solved . . .";
        yield return new WaitForSeconds(0.3f);
        globalVars.GUImessage = "level solved . . . transferring to next level, please stand by ...";
        yield return new WaitForSeconds(2.5f);
        Application.LoadLevel(globalVars.currentLevel);
       // globalVars.GUImessage = "... it seems the next level hasn't been implemented yet ...";
       // yield return new WaitForSeconds(2.5f);
       // globalVars.GUImessage = "... but you can press enter to reload this level.";
    }

    //move the player towards the center of the end platform as soon as he enters the trigger.
    void moveToCenter(GameObject target){

        Vector3 zeroTarget = new Vector3(transform.position.x, target.transform.position.y, transform.position.z);

		float driftSpeed = Vector3.Distance(target.transform.position, zeroTarget) *0.5f;


        if (target.transform.position.x != zeroTarget.x || target.transform.position.z != zeroTarget.z) {
            target.transform.position = Vector3.Lerp(target.transform.position, zeroTarget, Time.deltaTime * driftSpeed);
		}
	
    }



}
