﻿using UnityEngine;
using System.Collections;

public class endPlatformTutorial : MonoBehaviour {

    public GameObject endSpotlight;
    bool moveToCenterNow = false;
    GameObject playerMove;

    void Start() {
        moveToCenterNow = false;
    }

    void OnTriggerEnter(Collider hit) {
        if (hit.collider.gameObject.tag == "Player") {
            print("level solved!");
            globalVars.lastSave = new Vector3(transform.position.x, transform.position.y + 4, transform.position.z);
            StopTimer();
            globalVars.controlsActive = false;
            moveToCenterNow = true;
            playerMove = hit.gameObject;

            StartCoroutine(endMessage());
            if (globalVars.firstRun) {
                globalVars.firstRun = false;
            }
            globalVars.tutorialLevel++;
            print("next level: " + globalVars.currentLevel);
        }
    }

    void OnTriggerStay() {
        endSpotlight.light.enabled = true;
    }

    void Update() {
        if (globalVars.allowReplay && Input.GetKeyDown("return")) {
            if (globalVars.tutorialLevel == 5) {
                globalVars.nextLevel();
                Application.LoadLevel("level1");
            } else {
                string nextLevel = "tutorial" + globalVars.tutorialLevel.ToString();
                Application.LoadLevel(nextLevel);
            }
        }
        if (moveToCenterNow) {
            moveToCenter(playerMove);
        }

    }

    void StopTimer() {
        globalVars.timerRun = false;
    }


    IEnumerator endMessage() {
        if (globalVars.tutorialLevel == 1) {
            globalVars.GUImessage = "See? That was easy.";
        }
        if (globalVars.tutorialLevel == 2) {
            globalVars.GUImessage = "Well done!";
        }
        if (globalVars.tutorialLevel == 3) {
            globalVars.GUImessage = "You made it!";
        }
        if (globalVars.tutorialLevel == 4) {
            globalVars.GUImessage = "Now you're ready to play the real game...";
        }
        globalVars.allowReplay = true;
        yield return new WaitForSeconds(1f);
        if (globalVars.tutorialLevel == 5) {
            globalVars.nextLevel();
            Application.LoadLevel("level1");
        } else {
            string nextLevel = "tutorial" + globalVars.tutorialLevel.ToString();
            Application.LoadLevel(nextLevel);
        }
    }

    //move the player towards the center of the end platform as soon as he enters the trigger.
    void moveToCenter(GameObject target){

        Vector3 zeroTarget = new Vector3(transform.position.x, target.transform.position.y, transform.position.z);

		float driftSpeed = Vector3.Distance(target.transform.position, zeroTarget) *0.5f;


        if (target.transform.position.x != zeroTarget.x || target.transform.position.z != zeroTarget.z) {
            target.transform.position = Vector3.Lerp(target.transform.position, zeroTarget, Time.deltaTime * driftSpeed);
		}
	
    }



}
