﻿using UnityEngine;
using System.Collections;

public class menuGUI : MonoBehaviour {

    public GUISkin skin2D;

    int fontSize = 33;


    void Start() {
        //headingSize = globalFunctions.calcFontSize("H2"); //get screen adjusted font size
       // headLabelSize = globalFunctions.calcFontSize("H3"); //get screen adjusted font size
        globalVars.currentLevel = 1;
    }

    void OnGUI() {

        GUI.skin = skin2D;

        GUIStyle heading = GUI.skin.GetStyle("heading");
        heading.fontSize = fontSize*2;

        GUIStyle menuGUI = GUI.skin.GetStyle("Button");
        menuGUI.fontSize = fontSize;

        GUIStyle soundGUI = GUI.skin.GetStyle("sound");
        soundGUI.fontSize = fontSize;

        float percentW = Screen.width * 0.01f; //1 percent
        float percentH = Screen.height * 0.01f; //1 percent
        float dispWidth = percentW * 30.0f;
        float dispHeight = fontSize * 2;
        float leftMargin = percentW * 40.0f;
        float topMargin = percentH * 30.0f;
        float buttonMargin = percentH * 15.0f;

        //heading
        GUI.Label(new Rect(0, 10, Screen.width, fontSize * 4), "10 Seconds of Light", heading);

        //button 1: play game
        if (GUI.Button(new Rect(leftMargin, topMargin, dispWidth, dispHeight), "Start Game", menuGUI)){
            if (globalVars.tutorialLevel < 5) {
                Application.LoadLevel("tutorial1");
            } else {
                globalVars.nextLevel(); //increment level to next level
                Application.LoadLevel(globalVars.currentLevel);
            }
        }

        //button 2: level select
        if (GUI.Button(new Rect(leftMargin, topMargin + buttonMargin, dispWidth, dispHeight), "Level Select", menuGUI))
            Application.LoadLevel("levelSelect");

        //button 3: Difficulty
        if (GUI.Button(new Rect(leftMargin, topMargin + buttonMargin * 2, dispWidth, dispHeight), "Set Difficulty", menuGUI))
            Application.LoadLevel("setDifficulty");

        //button 4: quit game
        if (GUI.Button(new Rect(leftMargin, topMargin + buttonMargin * 3, dispWidth, dispHeight), "Quit", menuGUI))
            Application.Quit();


        if (!globalVars.soundOff) {
            if (GUI.Button(new Rect(0.9f, 0.9f, dispWidth, dispHeight), "Sound is ON", soundGUI)) {
                AudioListener.volume = 0.0F;
                globalVars.soundOff = true;
            }
        } else if (globalVars.soundOff) {
            if (GUI.Button(new Rect(0.9f, 0.9f, dispWidth, dispHeight), "Sound is OFF", soundGUI)) {
                AudioListener.volume = 1.0F;
                globalVars.soundOff = false;
            }
        }



    }



}


