﻿using UnityEngine;
using System.Collections;

public class pickup : MonoBehaviour {

    public Material offline;
    private Material originalMaterial;
    private bool isActive = true;

    void Start() {
        originalMaterial = renderer.material;
    }

    void OnTriggerEnter(Collider hit) {
        if (hit.collider.gameObject.tag == "Player" && isActive) {

            if (gameObject.tag == "jump") {
                print("jump picked up ");
                globalVars.playerJumps += 2;
                if (!globalVars.canJump) {
                    globalVars.canJump = true;
                }
                StartCoroutine(jumpMessage());

            } else if (gameObject.tag == "ammo") {
                print("ammo picked up ");
                globalVars.playerShots += 2;
                if (!globalVars.canShoot) {
                    globalVars.canShoot = true;
                }
                StartCoroutine(shootMessage());
            }
            renderer.material = offline;
            isActive = false;
        }
    }


    void Update() {
        if (globalVars.levelRestart) {
            print("reset material");
            renderer.material = originalMaterial;
            isActive = true;
        }
    }

    IEnumerator jumpMessage() {
        if (globalVars.firstRun) {
            globalVars.GUImessage = "blue platforms give you power for one jump";
        } else {
            globalVars.GUImessage = "jump power increased!";
        }
        yield return new WaitForSeconds(2.0f);
        globalVars.GUImessage = "";
    }

    IEnumerator shootMessage() {
        if (globalVars.firstRun) {
            globalVars.GUImessage = "green platforms give you power for one shot; there's nothing you can actually shoot yet, though";
        } else {
            globalVars.GUImessage = "ammo increased!";
        }
        yield return new WaitForSeconds(2.0f);
        globalVars.GUImessage = "";
    }


}

