﻿using UnityEngine;
using System.Collections;

public class startPlatform : MonoBehaviour {

    void Awake() {
        globalVars.controlsActive = false;
        globalVars.allowReplay = false;
    }

    void Start() {
        if (globalVars.levelOpen < globalVars.currentLevel) {   //unlock current level from elvel menu // only if level isn't already unlocked
            globalVars.levelOpen = globalVars.currentLevel - 1;
        }
    }

    void OnTriggerEnter(Collider hit) {
        if (hit.collider.gameObject.tag == "Player") {
            globalVars.levelRestart = true;
            globalVars.resetAll();
            StartCoroutine(startMessage());
            globalVars.lastSave = new Vector3(transform.position.x, transform.position.y + 4, transform.position.z);
            StartTimer();
            globalVars.controlsActive = true;
        }
    }

    void OnTriggerExit(Collider hit) {
        globalVars.levelRestart = false;
        globalVars.playerSpeed = 5.0f;
        globalVars.playerVelocity = 3.0f;
    }

    void Update() {
       if(Input.GetKey("escape")){
           Application.LoadLevel("menu");
       }
        levelTimer();
    }

  
    void StartTimer() {
        globalVars.timerRun = true;
    }


    IEnumerator startMessage() {
        print("start message");
        if (globalVars.firstRun) {
            globalVars.GUImessage = "Hello there, this is quite easy, steer with WASD and reach the end.";
            yield return new WaitForSeconds(2.5f);
            globalVars.GUImessage = "Press mouse button or left ctrl to activate the light...you've got 10 seconds power left.";
            yield return new WaitForSeconds(2.5f);
            globalVars.GUImessage = "";
        }
    }



    void levelTimer() {
        if (globalVars.timerRun) {
            globalVars.playTime += Time.deltaTime;
        }
    }

}
