﻿using UnityEngine;
using System.Collections;

public class startPlatformTutorial : MonoBehaviour {

    void Awake() {
        globalVars.controlsActive = false;
        globalVars.allowReplay = false;
    }

    void Start() {
        if (globalVars.levelOpen < globalVars.currentLevel) {   //unlock current level from elvel menu // only if level isn't already unlocked
            globalVars.levelOpen = globalVars.currentLevel - 1;
        }
    }

    void OnTriggerEnter(Collider hit) {
        if (hit.collider.gameObject.tag == "Player") {
            globalVars.levelRestart = true;
            globalVars.resetAll();
            StartCoroutine(startMessage());
            globalVars.lastSave = new Vector3(transform.position.x, transform.position.y + 4, transform.position.z);
            StartTimer();
            globalVars.controlsActive = true;
        }
    }

    void OnTriggerExit(Collider hit) {
        globalVars.levelRestart = false;
    }

    void Update() {
       if(Input.GetKey("escape")){
           Application.LoadLevel("menu");
       }
        levelTimer();
    }

  
    void StartTimer() {
        globalVars.timerRun = true;
    }


    IEnumerator startMessage() {
        print("start message");
        if (globalVars.tutorialLevel == 1) {
            globalVars.GUImessage = "Hello there, this is quite easy, steer with WASD or the ARROW pad and reach the end.";
            yield return new WaitForSeconds(5.0f);
            globalVars.GUImessage = "";
        }
        else if (globalVars.tutorialLevel == 2) {
            globalVars.GUImessage = "Now here's the deal: these levels are dark and you can activate your light by pressing MOUSE 1 or CTRL.";
            yield return new WaitForSeconds(5.0f);
            globalVars.GUImessage = "You've only got 10 seconds of light power, though. It's indicated by the leftmost countdown.";
            yield return new WaitForSeconds(5.0f);
            globalVars.GUImessage = "";
        } 
        else if (globalVars.tutorialLevel == 3) {
            globalVars.GUImessage = "Yellow platforms are speed boosts. Blue platforms charge up your jump energy. Jump with SPACE.";
            yield return new WaitForSeconds(5.0f);
            globalVars.GUImessage = "Jumping is a bit buggy, though. Sorry!.";
            yield return new WaitForSeconds(4.0f);
            globalVars.GUImessage = "";
        } 
        else if (globalVars.tutorialLevel == 4) {
            globalVars.GUImessage = "Green platforms charge up your gun power. Destroy obstacles in your way with MOUSE 2, LEFT ALT or ENTER.";
            yield return new WaitForSeconds(5.0f);
            globalVars.GUImessage = "";
        }
    }



    void levelTimer() {
        if (globalVars.timerRun) {
            globalVars.playTime += Time.deltaTime;
        }
    }

}
